> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# List all clients

> Gets the list of all clients



## OpenAPI

````yaml GET /clients
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security:
  - bearerAuth: []
paths:
  /clients:
    get:
      description: Gets the list of all clients
      parameters:
        - name: page
          in: query
          description: Page number of the list
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: limit
          in: query
          description: Number of records to return per page
          schema:
            type: integer
            default: 10
            maximum: 100
            minimum: 1
        - name: createdFrom
          in: query
          description: Start creation date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: createdTo
          in: query
          description: End creation date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: updatedFrom
          in: query
          description: Start updated date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: updatedTo
          in: query
          description: End updated date of the record
          schema:
            type: string
            description: Format of the date should be ISO format
        - name: practiceId
          in: query
          description: ID of practice from which records need to be filtered
          schema:
            type: string
      responses:
        '200':
          description: List of all clients
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientArray'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ClientArray:
      type: object
      properties:
        total:
          type: integer
          example: 12
          description: Total count of the matched records
        data:
          type: array
          description: Array of client records
          items:
            type: object
          example:
            - firstName: Hax
              lastName: Nasmi
              gender: Female
              dob: '1989-11-30'
              email:
                main: haxore3434@nasmis.com
              phone:
                home: '+18328156279'
              location:
                streetAddress: 2811 Pecan Ridge Dr
                aptSuiteOther: null
                city: Sugar Land
                state: Texas
                country: USA
                zip: 77479
                neighborhood: Colony Bend
                county: Fort Bend County
                zipSuffix: '1539'
              geoLocation:
                lat: 29.58203099999999
                lon: -95.6018993
              user:
                id: auth0|65608ab617b4bdb50111d600
                domain: 3a8T8b1-g
              inviteStatus: Invite Sent
              type: client
              id: 266fc897-5cd9-448a-bfc1-c9356c623fb0
            - firstName: Hike
              lastName: Gif
              gender: Male
              dob: '1975-07-16'
              description: null
              phone:
                home: '+18328156279'
                work: '+18328156279'
              images:
                primary:
                  id: a97dec41-a86f-436c-845d-412cb02b4917
                  type: image
                  mimeType: image/jpeg
                  name: download (3).jpeg
              geoLocation:
                lat: 29.5863762
                lon: -95.6150153
              isEmergencyContact: true
              userId: auth0|6560825b17b4bdb50111ce98
              email:
                main: hihike3540@kxgif.com
              location:
                streetAddress: 3103 Old Masters Dr
                aptSuiteOther: null
                city: Sugar Land
                state: Texas
                country: USA
                zip: '77479'
                neighborhood: Austin Park Courtyard Homes
                county: Fort Bend County
                zipSuffix: '1443'
              type: client
              id: 5ccaf84f-634d-4ae3-9883-972da0ce4ba5
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.